Soru ipython notebook çalışırken eksik pyzmq


İPython'u çalıştırabilirim, ancak bir dizüstü bilgisayarı başlatmaya çalıştığımda aşağıdaki hatayı alıyorum:

~  ipython notebook                   
Traceback (most recent call last):
  File "/usr/local/bin/ipython", line 8, in <module>
    load_entry_point('ipython==2.1.0', 'console_scripts', 'ipython')()
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/__init__.py", line 120, in start_ipython
    return launch_new_instance(argv=argv, **kwargs)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 563, in launch_instance
    app.initialize(argv)
  File "<string>", line 2, in initialize
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error
    return method(app, *args, **kwargs)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/terminal/ipapp.py", line 321, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error
    return method(app, *args, **kwargs)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/core/application.py", line 381, in initialize
    self.parse_command_line(argv)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/terminal/ipapp.py", line 316, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error
    return method(app, *args, **kwargs)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 475, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error
    return method(app, *args, **kwargs)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 406, in initialize_subcommand
    subapp = import_item(subapp)
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/utils/importstring.py", line 42, in import_item
    module = __import__(package, fromlist=[obj])
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/html/notebookapp.py", line 39, in <module>
    check_for_zmq('2.1.11', 'IPython.html')
  File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/utils/zmqrelated.py", line 37, in check_for_zmq
    raise ImportError("%s requires pyzmq >= %s"%(required_by, minimum_version))
ImportError: IPython.html requires pyzmq >= 2.1.11

Ama görebildiğim kadarıyla, zaten pyzmq paketini kurdum.

~ pip install pyzmq            
Requirement already satisfied (use --upgrade to upgrade): pyzmq in /Library/Python/2.7/site-packages/pyzmq-14.3.1-py2.7-macosx-10.6-intel.egg
Cleaning up...

32
2017-07-28 12:38


Menşei


Benim durumumda çalışan cevap stackoverflow.com/a/25187899/168740 - Matt McClure


Cevaplar:


Arg. ipython yükleme biraz idiosyncratic. Bunu çözmek için ne yapmam gerekiyor:

$ pip uninstall ipython
$ pip install "ipython[all]"

Sorun, dizüstü bilgisayarların yüklü olmayan kendi bağımlılıklarına sahip olmalarıdır. pip install ipython. Ancak, yüklü ipythonEğer pip deneyin eğer pip, bir şey eklemek ihtiyacını görmüyor [all] form.

Bazı kabuklar için yorumlarda belirtildiği gibi (ör. Zsh) köşeli parantezlerden kaçmak veya alıntılamak gerekir (pip install ipython\[all\] ayrıca çalışırdı).


54
2017-08-31 03:34



Bu benim için çalıştı ama önce pyzmq'i kaldırmam gerekiyordu, aksi halde sorun devam ediyordu. - marcin_koss
Bu benim için de başarısız oldu. Gereken pip install "ipython[all]" zsh kullanarak. - Grant David Bachman
Evet, bazı kabuklar teklifleri gerektirir; diğerleri yok. Temel olarak, eğer kabuğunuz '[]' karakterlerinin kaçmasını gerektiriyorsa, o zaman tırnak içine almalısınız. Ayrıca, sadece her zaman alıntılamak için zarar vermemeliydi, bu nedenle bu cevabı güncelleyen belgeleme uğruna muhtemelen değerlidir :) - Hans L
pip install "ipython[notebook]" daha iyi değil mi? - seyed
Benim için aynı sorunu çözüldü! - AJN


Benim için (Ubuntu 14.04.2) synaptic paket yöneticisi tarafından kurulum çalıştı: paket python3-zmq olarak adlandırılır, bu paket libzmq3 ile yüklenir.

Bundan sonra pyzmq'in doğru şekilde kurulup kurulmadığını kontrol edin:

pip list

Sonra ipython'u kurdum:

pip install "ipython[all]"

1
2018-04-28 22:09



Benim için sorun ben kurdum piton-zmq yerine python3-zmq (ubuntu 16.04) - Ott Toomet


kullanma

ipython2.7 notebook

Yerine

ipython notebook

Benim için hile yaptın.


1
2017-07-06 15:32